# TitleValidationDBSpec.h File Reference

Not code so much as a specification for the structures and classes that an implementation of a title validation system (CD Keys and game server logins). More...

`#include "Export.h"`
`#include "DS_List.h"`
`#include "RefCountedObj.h"`
`#include "RakString.h"`

## Namespaces

namespace | TitleValidationDBSpec

## Classes

class | TitleValidationDBSpec::AddTitle_Data
| Adds a title to the database of titles. This can be used to look up titleIds given a title password. More...
class | TitleValidationDBSpec::GetTitles_Data
| Download all titles added with AddTitle_Data. More...
class | TitleValidationDBSpec::UpdateUserKey_Data

## Typedefs

typedef unsigned | TitleValidationDBSpec::DatabaseKey
| Type of the primary keys in the database.

## Detailed Description

Not code so much as a specification for the structures and classes that an implementation of a title validation system (CD Keys and game server logins).

This file is part of RakNet Copyright 2003 Kevin Jenkins.

Usage of RakNet is subject to the appropriate license agreement. Creative Commons Licensees are subject to the license found at http://creativecommons.org/licenses/by-nc/2.5/ Single application licensees are subject to the license found at http://www.jenkinssoftware.com/SingleApplicationLicense.html Custom license users are subject to the terms therein. GPL license users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.